{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "NO_SEQ_ARR_ANNUL"; 
            externalType = NUMBER; 
            name = annulationOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAT_ANNULATION_SOURCE"; 
            externalType = NUMBER; 
            name = annulationSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ANNULATION"; 
            externalType = DATE; 
            name = dAnnulation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_CG_PATERN"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_DEB_CG_PATERN"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_CG_PATERN"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEMANDE"; 
            externalType = DATE; 
            name = dDemande; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_NAIS_PREV"; 
            externalType = DATE; 
            name = dNaisPrev; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "ID_SOURCE"; 
            externalType = NUMBER; 
            name = idSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_ORDRE"; 
            externalType = NUMBER; 
            name = indOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NB_ENFANTS_DECL"; 
            externalType = NUMBER; 
            name = nbEnfantsDecl; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_CG_PATERN"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_ANNULATION"; 
            externalType = VARCHAR2; 
            name = noArreteAnnulation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAT_OPERATION"; 
            externalType = VARCHAR2; 
            name = operation; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "PAT_ORDRE"; 
            externalType = NUMBER; 
            name = patOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAT_SOURCE"; 
            externalType = NUMBER; 
            name = patSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PAT_STATUT"; 
            externalType = VARCHAR2; 
            name = statut; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_CG_SANS_TRAIT"; 
            externalType = VARCHAR2; 
            name = temCgSansTrait; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_CONFIRME"; 
            externalType = VARCHAR2; 
            name = temConfirme; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GEST_ETAB"; 
            externalType = VARCHAR2; 
            name = temGestEtab; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_GROSSESSE_MULTIPLE"; 
            externalType = VARCHAR2; 
            name = temGrossesseMultiple; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_IMPORT"; 
            externalType = VARCHAR2; 
            name = temImport; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (patOrdre); 
    className = "org.cocktail.connecteur.serveur.modele.entite_import.EOCongePaternite"; 
    classProperties = (
        annulationSource, 
        commentaire, 
        congeAnnulation, 
        dAnnulation, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dCreation, 
        dDemande, 
        dModification, 
        dNaisPrev, 
        idSource, 
        individu, 
        nbEnfantsDecl, 
        noArrete, 
        noArreteAnnulation, 
        operation, 
        patSource, 
        statut, 
        temCgSansTrait, 
        temConfirme, 
        temGestEtab, 
        temGrossesseMultiple, 
        temImport, 
        temValide
    ); 
    externalName = "IMPORT.CONGE_PATERNITE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            annulationSource, 
            commentaire, 
            dAnnulation, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            dCreation, 
            dDemande, 
            dModification, 
            dNaisPrev, 
            idSource, 
            individu, 
            nbEnfantsDecl, 
            noArrete, 
            noArreteAnnulation, 
            operation, 
            patSource, 
            statut, 
            temCgSansTrait, 
            temConfirme, 
            temGestEtab, 
            temGrossesseMultiple, 
            temImport, 
            temValide
        ); 
        "_javaClientClassName" = "org.cocktail.connecteur.client.modele.entite_import.EOCongePaternite"; 
    }; 
    name = CongePaternite; 
    primaryKeyAttributes = (patOrdre); 
    relationships = (
        {
            destination = CongePaternite; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = patOrdre; sourceAttribute = annulationOrdre; }); 
            name = congeAnnulation; 
        }, 
        {
            destination = Individu; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = indOrdre; sourceAttribute = indOrdre; }); 
            name = individu; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = CongeAvecArrete; }; }; 
}
